// -*- Mode: C++; c-basic-offset: 2; indent-tabs-mode: nil; tab-width: 8; -*-

/***************************************************************************
    newrsssourcedlg.cpp
    Marcus Camen  <mcamen@mcamen.de>
***************************************************************************/

/*
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.

  You should have received a copy of the GNU Library General Public License
  along with this library; see the file COPYING.LIB.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/

#include <klocale.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qlabel.h>
#include "newrsssourcedlg.h"


namespace KSB_News {

  NewRssSourceDlg::NewRssSourceDlg(QWidget *parent)
    : KDialogBase(parent, "newrssdialog", true, i18n("Add RSS Source"),
                  KDialogBase::Ok|KDialogBase::Cancel, KDialogBase::Ok, false)
  {
    QWidget *page = new QWidget(this);
    setMainWidget(page);
    QVBoxLayout *topLayout = new QVBoxLayout(page, 0, spacingHint());

    QLabel *label = new QLabel(i18n("RSS URL:"), page, "label");
    topLayout->addWidget(label);

    m_lineedit = new KLineEdit(url, page, "lineedit");
    m_lineedit->setMinimumWidth(fontMetrics().maxWidth()*20);
    topLayout->addWidget(m_lineedit);

    topLayout->addStretch(10);
  }


  NewRssSourceDlg::~NewRssSourceDlg() {
  }


  QString NewRssSourceDlg::getText() const {
    return m_lineedit->text();
  }


} // namespace KSB_News
