/***************************************************************************
                          nsstacktabwidget.h  -  description
                             -------------------
    begin                : Sat 07.09.2002
    copyright            : (C) 2002 by Marcus Camen
    email                : mcamen@mcamen.de
 ***************************************************************************/

/*
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/

#ifndef _NSSTACKTABWIDGET_H_
#define _NSSTACKTABWIDGET_H_

#include <qptrdict.h>
#include "nspanel.h"

class QVBoxLayout;
class QToolBox;
class KPopupMenu;
class KAboutData;
class KAboutApplication;
class NewRssSourceDlg;


//using namespace KS_NEWS;


class NSStackTabWidget : public QWidget
  {
    Q_OBJECT

    public:
      NSStackTabWidget(QWidget *parent = 0, const char *name = 0, QPixmap appIcon = QPixmap());
      void addStackTab(NSPanel *nsp, QWidget *page);
      void delStackTab(NSPanel *nsp);
      void updatePixmap(NSPanel *nsp);
      bool isEmpty() const;

    protected:
      bool eventFilter(QObject *obj, QEvent *ev);

    private slots:
      void slotNew();
      void slotShowAbout();
      void slotRefresh();
      void slotClose();
      void slotCurrentChanged(int index);
      void slot_newOkClicked();


    private:
      QToolBox *m_toolbox;
      QPtrDict<NSPanel> nspanels;
      QVBoxLayout *layout;
      QWidget *currentPage;
      KPopupMenu *popup;
      KAboutData *m_aboutdata;
      KAboutApplication *m_about;
      NewRssSourceDlg *m_newDlg;
  };

#endif
